<?php

namespace App\Models;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Test extends BaseModel
{
    public $timestamps = true;
    use HasFactory;
    /**
     * The table associated with the model.
     *
     * @var string
     */

    protected $table = 'tests';

    protected $fillable = ['name_en','lab_id','created_at','created_by','record_status_id'];

    public static function boot()
    {
        parent::boot();
    }

    public function lab(){
        return $this->belongsTo('App\Models\Laboratory', 'lab_id','id');
    }

}
